[rspec-users] my helper stubs aren't working (rspec2, rails3)

Kevin Lochner lists at ruby-forum.com
Sat Jan 1 15:49:37 EST 2011


David Chelimsky wrote in post #971793:

> You only need ^^ rspec-rails here. It requires rspec, which requires
> rspec-mocks. I'd actually recommend using this format:
>
>   gem "rspec-rails", "~> 2.3"
>
> This will accept updates up to, but not including 3.0. This means
> you'll get bug fixes and/or new functionality, but no breaking
> changes.

thanks, will do.

> Unfortunately, I don't see anything here right out of the gate that
> would be causing this.
>
> Would you try bootstrapping a new app and see if the same thing happens?

Unfortunately that worked:

   ThingsHelper
     supports stubs

. . . so there's something weird going on with my app.

Any other suggestions before I start wrestling with it?

-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list